| OpenCV 3.4.8 Open Source Computer Vision

Public Member Functions | Public Attributes | List of all members
HaarClassifierNode128 Struct Reference
CUDA-accelerated Computer Vision » Legacy support

`#include <opencv2/cudalegacy/NCVHaarObjectDetection.hpp>`

## Public Member Functions
__host__ __device__ HaarFeatureDescriptor32 | getFeatureDesc (void)
__host__ __device__ HaarClassifierNodeDescriptor32 | getLeftNodeDesc (void)
__host__ __device__ HaarClassifierNodeDescriptor32 | getRightNodeDesc (void)
__host__ __device__ Ncv32f | getThreshold (void)
__host__ NCVStatus | setFeatureDesc (HaarFeatureDescriptor32 f)
__host__ NCVStatus | setLeftNodeDesc (HaarClassifierNodeDescriptor32 nl)
__host__ NCVStatus | setRightNodeDesc (HaarClassifierNodeDescriptor32 nr)
__host__ NCVStatus | setThreshold (Ncv32f t)

## Public Attributes
uint4 | _ui4

## Member Function Documentation

## § getFeatureDesc()

__host__ __device__ HaarFeatureDescriptor32 HaarClassifierNode128::getFeatureDesc | ( | void |  | ) |
| inline

## § getLeftNodeDesc()

__host__ __device__ HaarClassifierNodeDescriptor32 HaarClassifierNode128::getLeftNodeDesc | ( | void |  | ) |
| inline

## § getRightNodeDesc()

__host__ __device__ HaarClassifierNodeDescriptor32 HaarClassifierNode128::getRightNodeDesc | ( | void |  | ) |
| inline

## § getThreshold()

__host__ __device__ Ncv32f HaarClassifierNode128::getThreshold | ( | void |  | ) |
| inline

## § setFeatureDesc()

__host__ NCVStatus HaarClassifierNode128::setFeatureDesc | ( | HaarFeatureDescriptor32 | f | ) |
| inline

## § setLeftNodeDesc()

__host__ NCVStatus HaarClassifierNode128::setLeftNodeDesc | ( | HaarClassifierNodeDescriptor32 | nl | ) |
| inline

## § setRightNodeDesc()

__host__ NCVStatus HaarClassifierNode128::setRightNodeDesc | ( | HaarClassifierNodeDescriptor32 | nr | ) |
| inline

## § setThreshold()

__host__ NCVStatus HaarClassifierNode128::setThreshold | ( | Ncv32f | t | ) |
| inline

## Member Data Documentation

## § _ui4

uint4 HaarClassifierNode128::_ui4

The documentation for this struct was generated from the following file:

- opencv2/cudalegacy/NCVHaarObjectDetection.hpp